#include <psptypes.h>
#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include "copybuffer.h"

unsigned char* copybufText;
int copybufTextLen;

void copybufSet(unsigned char* inText, int inLen) {
     copybufClear();
     copybufText = (unsigned char*) malloc((inLen + 1) * sizeof(char));
     int tempInt;
     for(tempInt = 0; tempInt < inLen; tempInt++) {
          copybufText[tempInt] = inText[tempInt];
          if(copybufText[tempInt] == 0)
               break;
     }
     copybufText[inLen] = 0;
}

unsigned char* copybufGet() {
     return copybufText;
}
void copybufClear() {
     if(copybufText != NULL)
          free(copybufText);
     copybufTextLen = 0;
}
