#ifndef FILESYS_H
#define FILESYS_H

typedef struct {
     char fseName[128];
} filesysEntry;

extern int filesysFileCount;
extern int filesysFolderCount;
extern filesysEntry* filesysFiles;
extern filesysEntry* filesysFolders;

extern int filesysDir(char* inPath);
extern char filesysIsFile(char* inPath);
extern char filesysFileExists(char* inPath);
extern char* filesysFileNameFromPath(char* inPath);
extern void filesysMkdir(char* inDir);
extern void filesysDelete(char* inPath);
extern char* filesysLoad(char* inPath);

#endif
