#ifndef INPUT_H
#define INPUT_H

#include <psptypes.h>

#define INPUT_SQUARE 0
#define INPUT_TRIANGLE 1
#define INPUT_CIRCLE 2
#define INPUT_CROSS 3
#define INPUT_LEFT 4
#define INPUT_RIGHT 5
#define INPUT_UP 6
#define INPUT_DOWN 7
#define INPUT_LTRIGGER 8
#define INPUT_RTRIGGER 9
#define INPUT_START 10
#define INPUT_SELECT 11

#define INPUT_REPEATRATE 1.25

extern float inputRepeat[12];
extern SceCtrlData inputPad;

extern void inputInit();
extern void inputPoll();
extern void inputDeInit();
extern char inputJustPressed(int inButton);
extern char inputJustPressedOrRepeat(int inButton);

#endif
