#ifndef PLUGINS_H
#define PLUGINS_H

#include "main.h"

#define keyState bool
#define keyUp false
#define keyDown true

extern void plugin_Keyboard_AddChar(unsigned char inChar);
extern void plugin_Keyboard_Backspace();

extern void plugin_Keyboard_Cut();
extern void plugin_Keyboard_Copy();
extern void plugin_Keyboard_Paste();

extern void plugin_Keyboard_Delete();
extern void plugin_Keyboard_Insert();
extern void plugin_Keyboard_Home();
extern void plugin_Keyboard_End();
extern void plugin_Keyboard_PageUp();
extern void plugin_Keyboard_PageDown();

extern void plugin_Keyboard_Menu();

extern void plugin_Keyboard_Left(keyState inState);
extern void plugin_Keyboard_Right(keyState inState);
extern void plugin_Keyboard_Up(keyState inState);
extern void plugin_Keyboard_Down(keyState inState);
extern void plugin_Keyboard_Select(keyState inState);
extern void plugin_Keyboard_Cancel(keyState inState);

extern void plugin_Keyboard_Open();
extern void plugin_Keyboard_Save();
extern void plugin_Keyboard_Help();
extern void plugin_Keyboard_Find();
extern void plugin_Keyboard_Replace();

#endif
