#ifndef TIMER_H
#define TIMER_H

#include <psptypes.h>

typedef struct {
     u64 timerTimeNow;
     u64 timerTimeLast;
     u32 timerTickResolution;
} Timer;

extern Timer* timerCreate();
extern double timerGetDeltaTime(Timer* inTimer);
extern void timerFree(Timer* inTimer);
extern void timerPauseAll();

#endif
