#ifndef DIALOG_H
#define DIALOG_H

#include <psptypes.h>
#include "font.h"

extern void dlgRenderLoop();
extern unsigned char dlgConfirm(char* inLineA, char* inLineB);
extern unsigned char dlgConfirmClear();
extern unsigned char dlgConfirmOverwrite();
extern unsigned char dlgConfirmDelete(char* inPath);
extern unsigned char dlgHelp(char* inFile);
extern void dlgFileError(char* inFile);
extern void dlgMessage(char* inMessage);
extern char* dlgTextEntry(char* inPrompt);
extern int dlgInsertSymbol();
extern int dlgGotoLine();
extern void dlgScreenshot();
extern void dlgFind();
extern void dlgReplace();
extern void dlgCredits();
extern void dlgAbout();

#endif
