#ifndef SETTINGS_H
#define SETTINGS_H

#include <psptypes.h>
#include "graphics.h"

extern Color txtbForeColor;
extern Color txtbBackColor;
extern Color txtbSelColor;
extern Color menuForeColor;
extern Color menuBackColor;
extern Color menuBorderColor;
extern char skinPath[64];
extern char fontPath[64];
extern char txtbNewLineType;
extern char stateEnabled;
extern char keybEnabled;

#define NEWLINE_IGNORE 0
#define NEWLINE_LF     1
#define NEWLINE_CRLF   2
#define NEWLINE_AUTO   3

extern void settingsLoad();
extern void settingsSave();

#endif
